Index: /trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_venus.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_venus.F	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_venus.F	(revision 1661)
@@ -1593,258 +406,2 @@
       END SUBROUTINE CALCM_SAT
 
-       SUBROUTINE Zeleznik(x,T,act)
-
-  !+++++++++++++++++++++++++++++++++++++++++++++++++++
-  !     Water and sulfuric acid activities in liquid
-  !     aqueous solutions.
-  !     Frank J. Zeleznik, Thermodynnamic properties
-  !     of the aqueous sulfuric acid system to 220K-350K,
-  !     mole fraction 0,...,1
-  !     J. Phys. Chem. Ref. Data, Vol. 20, No. 6,PP.1157, 1991
-  !+++++++++++++++++++++++++++++++++++++++++++++++++++
-
-         IMPLICIT NONE
-
-         REAL, INTENT(IN) :: x,T
-         REAL :: activitya, activityw
-         REAL, INTENT(OUT), DIMENSION(2):: act
-!         REAL x,T, activitya, activityw
-!         REAL, DIMENSION(2):: act
-
-
-!         write(*,*) 'x, T ', x, T
-
-         act(2)=activitya(x,T)
-         act(1)=activityw(x,T)
-
-!         write(*,*) 'act ', act
-
-       END SUBROUTINE Zeleznik
-
-!start of functions related to zeleznik activities
-
-      REAL FUNCTION m111(T)
-
-       REAL, INTENT(IN) :: T
-       m111=-23.524503387D0
-     &    +0.0406889449841D0*T
-     &    -0.151369362907D-4*T**2+2961.44445015D0/T
-     &    +0.492476973663D0*dlog(T)
-       END FUNCTION m111
-
-      REAL FUNCTION m121(T)
-
-       REAL, INTENT(IN) :: T
-       m121=1114.58541077D0-1.1833078936D0*T
-     &    -0.00209946114412D0*T**2-246749.842271D0/T
-     &    +34.1234558134D0*dlog(T)
-       END FUNCTION m121
-
-       FUNCTION m221(T)
-
-       REAL, INTENT(IN) :: T
-       m221=-80.1488100747D0-0.0116246143257D0*T
-     &    +0.606767928954D-5*T**2+3092.72150882D0/T
-     &    +12.7601667471D0*dlog(T)
-       END FUNCTION m221
-
-      REAL FUNCTION m122(T)
-
-       REAL, INTENT(IN) :: T
-       m122=888.711613784D0-2.50531359687D0*T
-     &    +0.000605638824061D0*T**2-196985.296431D0/T
-     &    +74.550064338D0*dlog(T)
-       END FUNCTION m122
-
-      REAL FUNCTION e111(T)
-
-       REAL, INTENT(IN) :: T
-       e111=2887.31663295D0-3.32602457749D0*T
-     &    -0.2820472833D-2*T**2-528216.112353D0/T
-     &    +0.68699743564D0*dlog(T)
-       END FUNCTION e111
-
-      REAL FUNCTION e121(T)
-
-       REAL, INTENT(IN) :: T
-       e121=-370.944593249D0-0.690310834523D0*T
-     &    +0.56345508422D-3*T**2-3822.52997064D0/T
-     &    +94.2682037574D0*dlog(T)
-       END FUNCTION e121
-
-      REAL FUNCTION e211(T)
-
-       REAL, INTENT(IN) :: T
-       e211=38.3025318809D0-0.0295997878789D0*T
-     &    +0.120999746782D-4*T**2-3246.97498999D0/T
-     &    -3.83566039532D0*dlog(T)
-       END FUNCTION e211
-
-      REAL FUNCTION e221(T)
-
-       REAL, INTENT(IN) :: T
-       e221=2324.76399402D0-0.141626921317D0*T
-     &    -0.00626760562881D0*T**2-450590.687961D0/T
-     &    -61.2339472744D0*dlog(T)
-       END FUNCTION e221
-
-      REAL FUNCTION e122(T)
-
-       REAL, INTENT(IN) :: T
-       e122=-1633.85547832D0-3.35344369968D0*T
-     &    +0.00710978119903D0*T**2+198200.003569D0/T
-     &    +246.693619189D0*dlog(T)
-       END FUNCTION e122
-
-      REAL FUNCTION e212(T)
-
-       REAL, INTENT(IN) :: T
-       e212=1273.75159848D0+1.03333898148D0*T
-     &    +0.00341400487633D0*T**2+195290.667051D0/T
-     &    -431.737442782D0*dlog(T)
-       END FUNCTION e212
-
-      REAL FUNCTION lnAa(x1,T)
-
-       REAL, INTENT(IN) :: T,x1
-       REAL ::
-     &          m111,m121,m221,m122
-     &            ,e111,e121,e211,e122,e212,e221
-       lnAa=-(
-     &    (2*m111(T)+e111(T)*(2*dlog(x1)+1))*x1
-     &    +(2*m121(T)+e211(T)*dlog(1-x1)+e121(T)*(dlog(x1)+1))*(1-x1)
-     &    -(m111(T)+e111(T)*(dlog(x1)+1))*x1*x1
-     &    -(2*m121(T)+e121(T)*(dlog(x1)+1)+e211(T)*(dlog(1-x1)+1)
-     &    -(2*m122(T)+e122(T)*dlog(x1)
-     &           +e212(T)*dlog(1-x1))*(1-x1))*x1*(1-x1)
-     &    -(m221(T)+e221(T)*(dlog(1-x1)+1))*(1-x1)**2
-     &    -x1*(1-x1)*(
-     &                  (6*m122(T)+e122(T)*(3*dlog(x1)+1)
-     &                          +e212(T)*(3*dlog(1-x1)+1)
-     &                   )*x1*(1-x1)
-     &                -(2*m122(T)+e122(T)*(dlog(x1)+1)
-     &                                   +e212(T)*dlog(1-x1)
-     &                    )*(1-x1))
-     &     )
-       END FUNCTION lnAa
-
-      REAL FUNCTION lnAw(x1,T)
-
-       REAL, INTENT(IN) :: T,x1
-       REAL ::
-     &          m111,m121,m221,m122
-     &            ,e111,e121,e211,e122,e212,e221
-       lnAw=-(
-     &  (2*m121(T)+e121(T)*dlog(x1)+e211(T)*(dlog(1-x1)+1))*x1
-     &  +(2*m221(T)+e221(T)*(2*dlog(1-x1)+1))*(1-x1)
-     &  -(m111(T)+e111(T)*(dlog(x1)+1))*x1*x1
-     & -(2*m121(T)+e121(T)*(dlog(x1)+1)
-     &            +e211(T)*(dlog(1-x1)+1))*x1*(1-x1)
-     &        -(m221(T)+e221(T)*(dlog(1-x1)+1))*(1-x1)**2
-     &   +x1*(2*m122(T)+e122(T)*dlog(x1)+e212(T)*dlog(1-x1))*x1*(1-x1)
-     &  +x1*(1-x1)*((2*m122(T)+e122(T)*dlog(x1)
-     &                        +e212(T)*(dlog(1-x1)+1))*x1
-     &               -(6*m122(T)+e122(T)*(3*dlog(x1)+1)
-     &                        +e212(T)*(3*dlog(1-x1)+1))*(1-x1)*x1)
-     &     )
-       END FUNCTION lnAw
-
-      REAL FUNCTION activitya(xal,T)
-
-       REAL, INTENT(IN) :: T,xal
-       REAL :: lnAa
-!       &          ,m111,m121,m221,m122 &
-!       &            ,e111,e121,e211,e122,e212,e221
-
-!       write(*,*) 'in activitya ', xal, T
-       activitya=DEXP(lnAa(xal,T)-lnAa(1.D0-1.D-12,T))
-       END FUNCTION activitya
-
-       FUNCTION activityw(xal,T)
-
-       REAL, INTENT(IN) :: T,xal
-       REAL :: lnAw
-
-       activityw=DEXP(lnAw(xal,T)-lnAw(1.D-12,T))
-       END FUNCTION activityw
-
-! end of functions related to zeleznik activities
-
-
-
-
-      FUNCTION SIGMADROPLET(xmass,t)
-! calculates the surface tension of the liquid in J/m^2
-! xmass=mass fraction of h2so4, t in kelvins
-! about 230-323 K , x=0,...,1
-!(valid down to the solid phase limit temp, which depends on molefraction)
-      IMPLICIT NONE
-      REAL :: SIGMADROPLET
-      REAL, INTENT(IN):: xmass, t
-      REAL :: a, b, t1, tc, xmole
-      REAL, PARAMETER :: Msa=98.078
-      REAL, PARAMETER :: Mwv=18.0153
-
-       IF (t .LT. 305.15) THEN
-!low temperature surface tension
-! Hanna Vehkam‰ki and Markku Kulmala and Ismo Napari
-! and Kari E. J. Lehtinen and Claudia Timmreck and Madis Noppel and Ari Laaksonen, 2002,
-! An improved parameterization for sulfuric acid/water nucleation rates for tropospheric
-!and stratospheric conditions, () J. Geophys. Res., 107, pp. 4622-4631
-      a=0.11864+xmass*(-0.11651+xmass*(0.76852+xmass*
-     & (-2.40909+xmass*(2.95434-xmass*1.25852))))
-      b=-0.00015709+xmass*(0.00040102+xmass*(-0.00239950+xmass*
-     & (0.007611235+xmass*(-0.00937386+xmass*0.00389722))))
-      SIGMADROPLET=a+t*b
-      ELSE
-
-      xmole = (xmass/Msa)*(1./((xmass/Msa)+(1.-xmass)/Mwv))
-! high temperature surface tension
-!H. Vehkam‰ki and M. Kulmala and K.E. J. lehtinen, 2003,
-!Modelling binary homogeneous nucleation of water-sulfuric acid vapours:
-! parameterisation for high temperature emissions, () Environ. Sci. Technol., 37, 3392-3398
-
-      tc= 647.15*(1.0-xmole)*(1.0-xmole)+900.0*xmole*xmole+
-     & 3156.186*xmole*(1-xmole) !critical temperature
-      t1=1.0-t/tc
-      a= 0.2358+xmole*(-0.529+xmole*(4.073+xmole*(-12.6707+xmole*
-     & (15.3552+xmole*(-6.3138)))))
-      b=-0.14738+xmole*(0.6253+xmole*(-5.4808+xmole*(17.2366+xmole*
-     & (-21.0487+xmole*(8.719)))))
-      SIGMADROPLET=(a+b*t1)*t1**(1.256)
-      END IF
-
-      RETURN
-      END FUNCTION SIGMADROPLET
-
-      FUNCTION RHODROPLET(xmass,t)
-!
-! calculates the density of the liquid in kg/m^3
-! xmass=mass fraction of h2so4, t in kelvins
-! Hanna Vehkam‰ki and Markku Kulmala and Ismo Napari
-! and Kari E. J. Lehtinen and Claudia Timmreck and Madis Noppel and Ari Laaksonen, 2002,
-! An improved parameterization for sulfuric acid/water nucleation rates for tropospheric
-!and stratospheric conditions, () J. Geophys. Res., 107, pp. 4622-4631
-
-! about 220-373 K , x=0,...,1
-!(valid down to the solid phase limit temp, which depends on molefraction)
-
-      IMPLICIT NONE
-      REAL :: RHODROPLET
-      REAL, INTENT(IN) :: xmass, t
-      REAL ::  a,b,c
-
-
-      a=0.7681724+xmass*(2.1847140+xmass*(7.1630022+xmass*
-     & (-44.31447+xmass*
-     & (88.75606+xmass*(-75.73729+xmass*23.43228)))))
-      b=1.808225e-3+xmass*(-9.294656e-3+xmass*(-0.03742148+
-     &  xmass*(0.2565321+xmass*(-0.5362872+xmass*
-     &  (0.4857736-xmass*0.1629592)))))
-      c=-3.478524e-6+xmass*(1.335867e-5+xmass*
-     & (5.195706e-5+xmass*(-3.717636e-4+xmass*
-     & (7.990811e-4+xmass*(-7.458060e-4+xmass*2.58139e-4)))))
-      RHODROPLET=a+t*(b+c*t) ! g/cm^3
-      RHODROPLET= RHODROPLET*1.0e3 !kg/m^3
-      RETURN
-      END FUNCTION RHODROPLET
Index: /trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 1661)
@@ -341,5 +341,9 @@
 c Variables tendance sedimentation
 
-      REAL :: d_tr_sed(klon,klev,2)
+      REAL :: m0_mode1(klev,2),m0_mode2(klev,2)
+      REAL :: m3_mode1(klev,3),m3_mode2 (klev,3)
+      REAL :: d_drop_sed(klev),d_ccn_sed(klev,2),d_liq_sed(klev,2)
+      REAL :: aer_flux(klev)
+      REAL :: d_tr_sed(klon,klev,nqmax)
       REAL :: d_tr_ssed(klon)
 c
@@ -640,5 +644,28 @@
 c===============================================
      
-      if ((nlon .EQ. 1) .AND. ok_cloud) then
+c MICROPHY SANS CHIMIE: seulement si full microphy (cl_scheme=2)
+
+      if (ok_chem.and..not.ok_cloud) then
+        print*,"LA CHIMIE A BESOIN DE LA MICROPHYSIQUE"
+        print*,"ok_cloud doit etre = a ok_chem"
+      stop
+      endif
+      if (.not.ok_chem.and.ok_cloud.and.(cl_scheme.eq.1)) then
+        print*,"cl_scheme=1 doesnot work without chemistry"
+      stop
+      endif
+       if (.not.ok_chem.and.ok_cloud.and.(cl_scheme.eq.2)) then
+        print*,"Full microphysics without chemistry"
+c indexation of microphys tracers
+        CALL chemparam_ini() 
+      endif
+    
+c number of microphysical tracers
+      nmicro=0
+      if (ok_cloud .AND. (cl_scheme.eq.1)) nmicro=2
+      if (ok_cloud .AND. (cl_scheme.eq.2)) nmicro=8
+ 
+c CAS 1D POUR MICROPHYS Aurelien
+      if ((nlon .EQ. 1) .AND. ok_cloud .AND. (cl_scheme.eq.1)) then
         PRINT*,'Open profile_cloud_parameters.csv'
         OPEN(66,file='profile_cloud_parameters.csv',
@@ -646,5 +673,5 @@
       endif
 
-      if ((nlon .EQ. 1) .AND. ok_sedim) then
+      if ((nlon .EQ. 1) .AND. ok_sedim .AND. (cl_scheme.eq.1)) then
         PRINT*,'Open profile_cloud_sedim.csv'
         OPEN(77,file='profile_cloud_sedim.csv',
@@ -652,10 +679,12 @@
       endif
            
-      if ((nlon .GT. 1) .AND. (ok_chem.OR.ok_cloud)) then
+c INIT PHOTOCHEMISTRY ! includes the indexation of microphys tracers
+      if ((nlon .GT. 1) .AND. ok_chem) then
 c !!! DONC 3D !!!
         CALL chemparam_ini() 
       endif
          
-      if ((nlon .GT. 1) .AND. ok_cloud) then
+c INIT MICROPHYS SCHEME 1 (AURELIEN)  
+      if ((nlon .GT. 1) .AND. ok_cloud .AND. (cl_scheme.eq.1)) then
 c !!! DONC 3D !!!
         CALL cloud_ini(nlon,nlev)
@@ -889,5 +918,12 @@
 c        CALL WriteField_phy('SAg',tr_seri(:,:,i_h2so4),nlev)
 
+C === SEDIMENTATION ===
+
          if (ok_sedim) then 
+
+c !! Depend on cl_scheme !! 
+
+          if (cl_scheme.eq.1) then 
+c         ================
 
            CALL new_cloud_sedim(
@@ -899,5 +935,5 @@
      I                     t_seri,
      I                 tr_seri,
-     O                     d_tr_sed,
+     O                     d_tr_sed(:,:,1:2),
      O                     d_tr_ssed,
      I                     nqmax,
@@ -933,4 +969,75 @@
       
         Fsedim(:,klev+1) = 0.
+	
+          elseif (cl_scheme.eq.2) then
+c         ====================
+
+           d_tr_sed(:,:,:) = 0.D0
+
+           DO i=1, klon
+
+c Mode 1
+         m0_mode1(:,1)=tr_seri(i,:,i_m0_mode1drop)
+         m0_mode1(:,2)=tr_seri(i,:,i_m0_mode1ccn)
+         m3_mode1(:,1)=tr_seri(i,:,i_m3_mode1sa)
+         m3_mode1(:,2)=tr_seri(i,:,i_m3_mode1w)
+         m3_mode1(:,3)=tr_seri(i,:,i_m3_mode1ccn)
+	 
+         call drop_sedimentation(dtime,klev,m0_mode1,m3_mode1,
+     &        paprs(i,:),zzlev(i,:),zzlay(i,:),t_seri(i,:),
+     &        1,
+     &        d_ccn_sed(:,1),d_drop_sed,d_ccn_sed(:,2),d_liq_sed)
+
+        d_tr_sed(i,:,i_m0_mode1drop)= d_tr_sed(i,:,i_m0_mode1drop)
+     &                              + d_drop_sed
+        d_tr_sed(i,:,i_m0_mode1ccn) = d_tr_sed(i,:,i_m0_mode1ccn)
+     &                              + d_ccn_sed(:,1)
+        d_tr_sed(i,:,i_m3_mode1ccn) = d_tr_sed(i,:,i_m3_mode1ccn)
+     &                              + d_ccn_sed(:,2)
+        d_tr_sed(i,:,i_m3_mode1sa)  = d_tr_sed(i,:,i_m3_mode1sa)
+     &                              + d_liq_sed(:,1)
+        d_tr_sed(i,:,i_m3_mode1w)   = d_tr_sed(i,:,i_m3_mode1w)
+     &                              + d_liq_sed(:,2)
+
+c Mode 2
+         m0_mode2(:,1)=tr_seri(i,:,i_m0_mode2drop)
+         m0_mode2(:,2)=tr_seri(i,:,i_m0_mode2ccn)
+         m3_mode2(:,1)=tr_seri(i,:,i_m3_mode2sa)
+         m3_mode2(:,2)=tr_seri(i,:,i_m3_mode2w)
+         m3_mode2(:,3)=tr_seri(i,:,i_m3_mode2ccn)
+	 
+         call drop_sedimentation(dtime,klev,m0_mode2,m3_mode2,
+     &        paprs(i,:),zzlev(i,:),zzlay(i,:),t_seri(i,:),
+     &        2,
+     &        d_ccn_sed(:,1),d_drop_sed,d_ccn_sed(:,2),d_liq_sed)
+
+        d_tr_sed(i,:,i_m0_mode2drop)= d_tr_sed(i,:,i_m0_mode2drop)
+     &                              + d_drop_sed
+        d_tr_sed(i,:,i_m0_mode2ccn) = d_tr_sed(i,:,i_m0_mode2ccn)
+     &                              + d_ccn_sed(:,1)
+        d_tr_sed(i,:,i_m3_mode2ccn) = d_tr_sed(i,:,i_m3_mode2ccn)
+     &                              + d_ccn_sed(:,2)
+        d_tr_sed(i,:,i_m3_mode2sa)  = d_tr_sed(i,:,i_m3_mode2sa)
+     &                              + d_liq_sed(:,1)
+        d_tr_sed(i,:,i_m3_mode2w)   = d_tr_sed(i,:,i_m3_mode2w)
+     &                              + d_liq_sed(:,2)
+
+c Aer
+        call aer_sedimentation(dtime,klev,tr_seri(i,:,i_m0_aer),
+     &        tr_seri(i,:,i_m3_aer),paprs(i,:),
+     &        zzlev(i,:),zzlay(i,:),t_seri(i,:),
+     &        d_tr_sed(i,:,i_m0_aer),d_tr_sed(i,:,i_m3_aer),aer_flux)
+
+           END DO
+          
+           DO iq=nqmax-nmicro+1,nqmax
+            tr_seri(:,:,iq)  = tr_seri(:,:,iq) + d_tr_sed(:,:,iq)
+            d_tr_sed(:,:,iq) = d_tr_sed(:,:,iq) / dtime
+           END DO
+
+        endif
+c         ====================
+
+C === FIN SEDIMENTATION ===
 
          endif ! ok_sedim
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F	(revision 1661)
@@ -14,5 +14,5 @@
      I                    pdtphys,
      I                    temp,
-     I                    pplev,
+     I                    pplay,
      O                    trac)
 c======================================================================
@@ -29,7 +29,4 @@
       
 #include "clesphys.h" 
-c#include "temps.h"
-c#include "paramet.h"
-c#include "comcstfi.h" !me permet de recuperer mugaz et d'autres constantes comme rad,pi etc
 #include "YOMCST.h"
 c======================================================================
@@ -61,5 +58,5 @@
       real  trac_sav(n_lon,n_lev,nqmax)
       real  trac_sum(n_lon,n_lev)
-      real  pplev(n_lon,n_lev)  ! pression pour le mileu de chaque couche (en Pa)
+      real  pplay(n_lon,n_lev)  ! pression pour le mileu de chaque couche (en Pa)
       real  lon_sun
 
@@ -93,29 +90,21 @@
          PRINT*,'n_lon 1D: ',n_lon
          end if
-                  
-c         if ((n_lon .GT. 1) .AND. ok_chem) then
-c !!! DONC 3D !!!	
-c           CALL chemparam_ini() 
-c         endif
-         
-c         if ((n_lon .GT. 1) .AND. ok_cloud) then
-c !!! DONC 3D !!!
-c         CALL cloud_ini(n_lon,n_lev)
-c         endif
-           
+
+c=============================================================
+c == CASE INIT PHOTOCHEM ==
+c=============================================================
+                             
        IF (reinit_trac) THEN
        PRINT*,'REINIT MIXING RATIO TRACEURS'
 
-c	=============================================================
-c					Passage de Rm à Rv
+c					Passage de Rm a Rv
 c	=============================================================
 c       Necessaire si on reprend les start.nc qui sont en MMR
-
-         DO iq=1,nqmax
+c SEULEMENT LES GAZ
+         DO iq=1,nqmax-nmicro
           trac(:,:,iq)=trac(:,:,iq)*mmean(:,:)/M_tr(iq)
          END DO
 c	=============================================================
           
-c=============================================================
 c		Initialisation des profils traceurs en Rv
 c=============================================================
@@ -146,5 +135,6 @@
 c     On a donc le CO2 qui est le restant d atmosphere Venus  
          trac_sum(:,:)=0.0
-        DO iq=2,nqmax
+c SEULEMENT LES GAZ
+        DO iq=2,nqmax-nmicro
          trac_sum(:,:)= trac_sum(:,:) + trac(:,:,iq) 
         END DO
@@ -154,8 +144,8 @@
 c=============================================================
       
-c	=============================================================
-c					Passage de Rv à Rm
-c	=============================================================
-         DO iq=1,nqmax
+c					Passage de Rv a Rm
+c	=============================================================
+c SEULEMENT LES GAZ
+         DO iq=1,nqmax-nmicro
           trac(:,:,iq)=trac(:,:,iq)*M_tr(iq)/mmean(:,:)
          END DO
@@ -164,4 +154,30 @@
        ENDIF  !FIN REINIT TRAC
 
+c=============================================================
+c == CASE INIT GAZ when muphy without chemistry ==
+c=============================================================
+                             
+       if (.not.ok_chem.and.ok_cloud.and.(cl_scheme.eq.2)) then
+
+c					Passage de Rm a Rv
+c	=============================================================
+c       Necessaire si on reprend les start.nc qui sont en MMR
+c SEULEMENT LES GAZ
+         DO iq=1,nqmax-nmicro
+          trac(:,:,iq)=trac(:,:,iq)*mmean(:,:)/M_tr(iq)
+         END DO
+c	=============================================================
+          
+        call vapors4muphy_ini(n_lon,n_lev,trac)
+
+c					Passage de Rv a Rm
+c	=============================================================
+c SEULEMENT LES GAZ
+         DO iq=1,nqmax-nmicro
+          trac(:,:,iq)=trac(:,:,iq)*M_tr(iq)/mmean(:,:)
+         END DO
+c	=============================================================
+    
+      endif
 	
 c-------------
@@ -172,22 +188,28 @@
 
 c	=============================================================
-c					Passage de Rm à Rv
-c	=============================================================
-       DO iq=1,nqmax
-         trac(:,:,iq)=MAX(trac(:,:,iq)*mmean(:,:)/M_tr(iq),1.E-30)
-       END DO
-c	=============================================================
-
-
-c	=============================================================
-c			 Appel Microphysique (sans nucleation)
-c                  Volume Mixing Ratio
-c	=============================================================
-
-         IF (ok_cloud) THEN
-               
+c					Passage de Rm a Rv
+c                                        DES GAZ
+c	=============================================================
+      DO iq=1,nqmax-nmicro
+        trac(:,:,iq)=MAX(trac(:,:,iq)*mmean(:,:)/M_tr(iq),1.E-30)
+      END DO
+c	=============================================================
+
+
+c	=============================================================
+c	    Appel Microphysique (schema simple, these Aurelien Stolzenbach)
+c	=============================================================
+
+      IF (ok_cloud .AND. cl_scheme.eq.1) THEN
+
+c	  Passage de Rm a Rv pour les liq
+         trac(:,:,i_h2so4liq)=MAX(trac(:,:,i_h2so4liq)
+     &                          *mmean(:,:)/M_tr(i_h2so4liq),1.E-30)
+         trac(:,:,i_h2oliq)=MAX(trac(:,:,i_h2oliq)
+     &                          *mmean(:,:)/M_tr(i_h2oliq),1.E-30)
+              
 c      PRINT*,'DEBUT CLOUD'      
 c     On remet tout le RM liq dans la partie gaz
-c     !!! On reforme un nuage à chaque fois !!!
+c     !!! On reforme un nuage a chaque fois !!!
 
       DO ilev=1, n_lev
@@ -203,5 +225,5 @@
 	            
       CALL new_cloud_venus(n_lev, n_lon,
-     e temp,pplev,
+     e temp,pplay,
      e mrtwv,mrtsa,
      e mrwv,mrsa)
@@ -210,5 +232,5 @@
 c	Actualisation des mixing ratio liq et gaz
 c	=========================================
-c	Si la routine new_cloud_venus n'a pas actualisé mrwv et mrsa
+c	Si la routine new_cloud_venus n'a pas actualise mrwv et mrsa
 c	on a alors bien mr=mrt pour sa et wv, donc les parties liq sont=0 hors du nuage
 c	ou si on ne condense pas
@@ -229,6 +251,36 @@
 
 c	=============================================================
-c      PRINT*,'FIN CLOUD'
-      ENDIF
+c      PRINT*,'FIN CLOUD, scheme 1'
+      ENDIF  
+
+c	=============================================================
+c	    Appel Microphysique (schema complet, these Sabrina Guilbon)
+c	=============================================================
+
+      IF (ok_cloud .AND. cl_scheme.eq.2) THEN
+
+c	Boucle sur grille (n_lon) et niveaux (n_lev)
+        DO ilon=1, n_lon       
+         DO ilev=1, n_lev
+
+           CALL MAD_MUPHY(pdtphys,                               ! Timestep
+     &  temp(ilon,ilev),pplay(ilon,ilev),                        ! Temperature and pressure
+     &  trac(ilon,ilev,i_h2o),trac(ilon,ilev,i_h2so4),           ! Mixing ratio of SA and W
+     &  trac(ilon,ilev,i_m0_aer),trac(ilon,ilev,i_m3_aer),       ! Moments of aerosols
+     &  trac(ilon,ilev,i_m0_mode1drop),trac(ilon,ilev,i_m0_mode1ccn),  ! Moments of mode 1
+     &  trac(ilon,ilev,i_m3_mode1sa),trac(ilon,ilev,i_m3_mode1w),      ! Moments of mode 1
+     &  trac(ilon,ilev,i_m3_mode1ccn),                                 ! Moments of mode 1
+     &  trac(ilon,ilev,i_m0_mode2drop),trac(ilon,ilev,i_m0_mode2ccn),  ! Moments of mode 2
+     &  trac(ilon,ilev,i_m3_mode2sa),trac(ilon,ilev,i_m3_mode2w),      ! Moments of mode 2
+     &  trac(ilon,ilev,i_m3_mode2ccn))                                 ! Moments of mode 2
+
+         ENDDO
+        ENDDO
+
+
+c	=============================================================
+c      PRINT*,'FIN CLOUD, scheme 2'
+      ENDIF  
+
             
 c=============================================================
@@ -239,6 +291,6 @@
 c     Ici, la longitude au midi local se deplace vers l'Ouest
 c     c'est le sens terrestre
-c     pour Vénus on prend juste l'opposé de la longitude et on a la rotation 
-c     de Vénus et donc le midi local qui se déplace vers l'Est
+c     pour Venus on prend juste l'oppose de la longitude et on a la rotation 
+c     de Venus et donc le midi local qui se deplace vers l'Est
      
       lon_sun = (0.5 - gmtime) * 2.0 * RPI
@@ -246,4 +298,7 @@
       lat_local = lat * RPI/180.0E+0
        
+      IF (ok_chem) THEN
+
+c      PRINT*,'DEBUT CHEMISTRY'
       DO ilon=1, n_lon
 
@@ -255,13 +310,11 @@
 c      PRINT*,'sza_local :', sza_local     
     
-      IF (ok_chem) THEN
-c      PRINT*,'DEBUT CHEMISTRY'
 c	=============================================================
 c					Appel Photochimie
 c	=============================================================
-c     Pression en hPa => pplev/100.
+c     Pression en hPa => pplay/100.
 	
       CALL new_photochemistry_venus(n_lev, n_lon, pdtphys,
-     e                         pplev(ilon,:)/100.,
+     e                         pplay(ilon,:)/100.,
      e                         temp(ilon,:),
      e                         trac(ilon,:,:),
@@ -269,17 +322,28 @@
      e                         sza_local, nqmax)
 c	=============================================================
+
+      END DO
 c      PRINT*,'FIN CHEMISTRY'
     
-	END IF
+      END IF
+c=============================================================
+
+c	=============================================================
+c					Passage de Rv a Rm
+c	=============================================================
+c                                        DES GAZ
+      DO iq=1,nqmax-nmicro
+		trac(:,:,iq)=trac(:,:,iq)*M_tr(iq)/mmean(:,:)
 
       END DO
-c	=============================================================
-c					Passage de Rv à Rm
-c	=============================================================
-	DO iq=1,nqmax
-c		trac(:,:,iq)=trac(:,:,iq)*M_tr(iq)/RMD
-		trac(:,:,iq)=trac(:,:,iq)*M_tr(iq)/mmean(:,:)
-
-	END DO
+
+      IF (ok_cloud .AND. cl_scheme.eq.1) THEN
+c	  Passage de Rm a Rv pour les liq
+         trac(:,:,i_h2so4liq)=trac(:,:,i_h2so4liq)*M_tr(i_h2so4liq)
+     &                          /mmean(:,:)
+         trac(:,:,i_h2oliq)=trac(:,:,i_h2oliq)*M_tr(i_h2oliq)
+     &                          /mmean(:,:)
+      ENDIF
+      
 c	=============================================================	
 C      PRINT*,'FIN PHYTRAC'
Index: /trunk/LMDZ.VENUS/libf/phyvenus/write_histins.h
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/write_histins.h	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/write_histins.h	(revision 1661)
@@ -68,5 +68,5 @@
        call histwrite_phy(nid_ins,.false.,"tops",itau_w,topsw)
       
-       IF (ok_cloud) THEN
+       IF (ok_cloud.and.(cl_scheme.eq.1)) THEN
        
        IF (nb_mode.GE.1) THEN
@@ -109,5 +109,6 @@
      & rho_droplet)
 		ENDIF
-       IF (ok_sedim) THEN 
+
+       IF (ok_sedim.and.(cl_scheme.eq.1)) THEN 
       
       call histwrite_phy(nid_ins,.false.,"d_tr_sed_H2SO4",itau_w,
@@ -118,4 +119,5 @@
       call histwrite_phy(nid_ins,.false.,"F_sedim",itau_w,Fsedim)
 		ENDIF             
+
       ENDIF !lev_histins.GE.2
 
Index: /trunk/LMDZ.VENUS/libf/phyvenus/write_histmth.h
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/write_histmth.h	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/write_histmth.h	(revision 1661)
@@ -115,5 +115,5 @@
       call histwrite_phy(nid_mth,.false.,"dtcond",itau_w,d_t_conduc)
       call histwrite_phy(nid_mth,.false.,"dumolvis",itau_w,d_u_molvis)
-      call histwrite_phy(nid_mth,.false.,"dvmolvis",itau_w,d_v_molvis)
+      call histwrite_phy(nid_mth,.false.,"dvmolvis",itau_w,-1.*d_v_molvis)
 
 c     call histwrite_phy(nid_mth,.false.,"dtec",itau_w,d_t_ec)
